SellAuth

Resellers

List Resellers

Returns the shop's resellers (customers with a reseller status) with their stats.

GET
/v1/shops/{shopId}/resellers

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
statusstring
Value in: "applied" | "approved" | "rejected"
searchstring

Must not be greater than 255 characters.

tier_idinteger
perPageinteger

Must be at least 1. Must not be greater than 100.

orderColumnstring
Value in: "email" | "reseller_total_spent_usd" | "reseller_total_completed" | "reseller_applied_at" | "reseller_approved_at" | "balance"
orderDirectionstring
Value in: "asc" | "desc"

Path Parameters

shopIdRequiredinteger

The shop ID.

Query Parameters

statusstring

Filter by status: applied, approved or rejected.

searchstring

Search by email.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/resellers?status=approved&search=partner%40" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "applied",
    "search": "asyzwszwtxpeqqi",
    "tier_id": 12,
    "perPage": 1,
    "orderColumn": "email",
    "orderDirection": "asc"
  }'

{
  "message": "Unauthenticated."
}

Reseller Stats

Aggregate stats for the shop's reseller program, with 30-day deltas.

GET
/v1/shops/{shopId}/resellers/stats

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/resellers/stats" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

Get Reseller

Detail view: reseller profile, recent reseller orders and balance ledger.

GET
/v1/shops/{shopId}/resellers/{customerId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

customerIdRequiredinteger

The shop customer ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/resellers/{customerId}" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

Remove Reseller

Removes reseller status from a customer. Their dynamic token and API keys stop working.

DELETE
/v1/shops/{shopId}/resellers/{customerId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

customerIdRequiredinteger

The shop customer ID.

curl -X DELETE "https://api.sellauth.com/v1/shops/{shopId}/resellers/{customerId}" \
  -H "Authorization: Bearer <token>"

Invite Reseller

Creates (or reuses) a customer by email and approves them as a reseller immediately.

POST
/v1/shops/{shopId}/resellers/invite

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
emailRequiredstring

The reseller's email.

tier_idinteger

Optional tier to place them in.

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/resellers/invite" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "partner@example.com",
    "tier_id": 12
  }'

Approve Application

Approves a pending reseller application and notifies the customer.

POST
/v1/shops/{shopId}/resellers/{customerId}/approve

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
tier_idinteger

Optional tier to place them in.

Path Parameters

shopIdRequiredinteger

The shop ID.

customerIdRequiredinteger

The shop customer ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/resellers/{customerId}/approve" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "tier_id": 12
  }'

Reject Application

Rejects a pending reseller application and notifies the customer.

POST
/v1/shops/{shopId}/resellers/{customerId}/reject

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

customerIdRequiredinteger

The shop customer ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/resellers/{customerId}/reject" \
  -H "Authorization: Bearer <token>"

Assign Tier

Assigns a reseller to a tier. Pass a null tier_id to use the default tier.

PUT
/v1/shops/{shopId}/resellers/{customerId}/tier

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonOptional
tier_idinteger

The tier ID, or null for the default tier.

Path Parameters

shopIdRequiredinteger

The shop ID.

customerIdRequiredinteger

The shop customer ID.

curl -X PUT "https://api.sellauth.com/v1/shops/{shopId}/resellers/{customerId}/tier" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "tier_id": 12
  }'

Update Dynamic Delivery

Enables or disables the reseller's dynamic delivery endpoint (seller-side kill switch).

PUT
/v1/shops/{shopId}/resellers/{customerId}/dynamic-delivery

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
enabledRequiredboolean

Whether the reseller's dynamic delivery endpoint is active.

Path Parameters

shopIdRequiredinteger

The shop ID.

customerIdRequiredinteger

The shop customer ID.

curl -X PUT "https://api.sellauth.com/v1/shops/{shopId}/resellers/{customerId}/dynamic-delivery" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "enabled": null
  }'